Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.manage
Class StatisticDTO

    java.lang.Object
      |
      +--com.solarmetric.manage.StatisticDTO

All Implemented Interfaces:
  Serializable

public class StatisticDTO
extends Object
implements Serializable

Data Transfer Object used by client/server remote monitoring capability. Represents a statistic.

See Also:
  Serialized Form

Constructor Summary
`StatisticDTO(Statistic stat, int watchId)`

Method Summary
`String` | `getDescription()` Get a description of the statistic.
`int` | `getDrawStyle()` Get the preferred draw style.
`String` | `getName()` Get the name of the statistic.
`String` | `getOrdinateDescription()` Get a description of the ordinate.
`int` | `getStatId()` Get the hash code of the source statistic on the server.
`int` | `getWatchableId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatisticDTO

    public StatisticDTO(Statistic stat,
                        int watchId)

Method Detail

### getName

    public String getName()

  Get the name of the statistic.

### getDescription

    public String getDescription()

  Get a description of the statistic.

### getOrdinateDescription

    public String getOrdinateDescription()

  Get a description of the ordinate.

### getDrawStyle

    public int getDrawStyle()

  Get the preferred draw style.

### getStatId

    public int getStatId()

  Get the hash code of the source statistic on the server.

### getWatchableId

    public int getWatchableId()

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.